# OCICollection::assignElem

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCICollection::assignElem — Weist einem Element einer Sammlung einen Wert zu

### Beschreibung

public OCICollection::assignElem(int `$index`, string `$value`): bool

Weist dem Element mit dem Index `index` einen Wert zu.

### Parameter-Liste

`index`

  Der Index des Elements. Der erste Index ist 0.

`value`

  Kann eine Zeichenkette oder eine Zahl sein.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
8.0.0, PECL OCI8 3.0.0 | Die Klasse OCI-Collection wurde in OCICollection umbenannt, um den PHP-Namensstandards zu entsprechen.

### Siehe auch

- OCICollection::getElem

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open